%define _unpackaged_files_terminate_build 1

Name:      appstream-data
Summary:   ALT Linux AppStream metadata
Version:   20240531
Release:   alt0.p10.1
Group:     System/Configuration/Packaging
BuildArch: noarch
License:   CC0 and CC-BY and CC-BY-SA and GFDL
URL:       http://www.altlinux.org/SoftwareCenter/Applications
Source:    %name-%version.tar

BuildRequires: appstream-data-generator

%description
This package provides the distribution specific AppStream metadata
required for GNOME Software Center or KDE Discover.

%prep
%setup

%install
mkdir -p %buildroot%_datadir/app-info/xmls
mkdir -p %buildroot%_datadir/app-info/icons

cp -r icons/* %buildroot%_datadir/app-info/icons/
cp -r xmls/* %buildroot%_datadir/app-info/xmls/
#cp -r manual-%version/* %buildroot%_datadir/app-info/xmls/

%files
%_datadir/app-info/xmls/*
%_datadir/app-info/icons/altlinux

%changelog
* Fri May 31 2024 Kirill Izmestev <felixz@altlinux.org> 20240531-alt0.p10.1
- Updated database.

* Fri May 17 2024 Kirill Izmestev <felixz@altlinux.org> 20240517-alt0.p10.1
- Updated database.

* Fri Apr 19 2024 Kirill Izmestev <felixz@altlinux.org> 20240419-alt0.p10.1
- Updated database.

* Fri Apr 05 2024 Kirill Izmestev <felixz@altlinux.org> 20240405-alt0.p10.1
- Updated database.

* Fri Mar 22 2024 Kirill Izmestev <felixz@altlinux.org> 20240322-alt0.p10.1
- Updated database.

* Wed Mar 06 2024 Kirill Izmestev <felixz@altlinux.org> 20240306-alt0.p10.1
- Updated database.

* Fri Jan 26 2024 Kirill Izmestev <felixz@altlinux.org> 20240126-alt0.p10.1
- Updated database.

* Tue Jan 09 2024 Kirill Izmestev <felixz@altlinux.org> 20240109-alt0.p10.1
- Updated database.

* Fri Dec 08 2023 Kirill Izmestev <felixz@altlinux.org> 20231208-alt0.p10.1
- Updated database.

* Fri Nov 24 2023 Kirill Izmestev <felixz@altlinux.org> 20231124-alt0.p10.1
- Updated database.

* Tue Oct 31 2023 Kirill Izmestev <felixz@altlinux.org> 20231031-alt0.p10.1
- Updated database.
- Added applications experiencing problems due to data packets (ALT #48240).

* Tue Oct 17 2023 Kirill Izmestev <felixz@altlinux.org> 20231017-alt0.p10.1
- Updated database.
- Add package name substitution.

* Mon Oct 09 2023 Kirill Izmestev <felixz@altlinux.org> 20231009-alt0.p10.1
- Updated database for p10.

* Tue Sep 19 2023 Kirill Izmestev <felixz@altlinux.org> 20230919-alt0.p10.1
- Updated database for p10.

* Tue Sep 05 2023 Kirill Izmestev <felixz@altlinux.org> 20230905-alt0.p10.1
- Updated database for p10.

* Sat Aug 12 2023 Kirill Izmestev <felixz@altlinux.org> 20230812-alt0.p10.1
- Updated database for p10.
- Add imhex in skiplist.

* Thu Jul 13 2023 Kirill Izmestev <felixz@altlinux.org> 20230713-alt0.p10.1
- Updated database for p10.

* Thu Jun 15 2023 Kirill Izmestev <felixz@altlinux.org> 20230629-alt0.p10.1
- Updated database for p10.

* Thu Jun 15 2023 Kirill Izmestev <felixz@altlinux.org> 20230615-alt0.p10.1
- Updated database for p10.

* Thu Jun 01 2023 Kirill Izmestev <felixz@altlinux.org> 20230601-alt0.p10.1
- Updated database for p10.

* Thu May 18 2023 Kirill Izmestev <felixz@altlinux.org> 20230518-alt0.p10.1
- Updated database for p10.

* Fri May 05 2023 Kirill Izmestev <felixz@altlinux.org> 20230505-alt0.p10.1
- Updated database for p10.

* Wed Apr 19 2023 Kirill Izmestev <felixz@altlinux.org> 20230419-alt0.p10.1
- Updated database for p10.

* Thu Mar 30 2023 Kirill Izmestev <felixz@altlinux.org> 20230330-alt0.p10.1
- Updated database for p10.

* Thu Mar 16 2023 Kirill Izmestev <felixz@altlinux.org> 20230316-alt0.p10.1
- Updated database for p10.

* Wed Mar 01 2023 Kirill Izmestev <felixz@altlinux.org> 20230301-alt0.p10.1
- Updated database for p10.

* Mon Feb 13 2023 Kirill Izmestev <felixz@altlinux.org> 20230213-alt0.p10.1
- Updated database for p10.

* Wed Jan 25 2023 Kirill Izmestev <felixz@altlinux.org> 20230125-alt0.p10.1
- Updated database for p10.

* Wed Jan 11 2023 Kirill Izmestev <felixz@altlinux.org> 20230111-alt0.p10.1
- Updated database for p10.

* Wed Dec 21 2022 Kirill Izmestev <felixz@altlinux.org> 20221221-alt0.p10.1
- Updated database for p10.

* Mon Nov 28 2022 Kirill Izmestev <felixz@altlinux.org> 20221128-alt0.p10.1
- Updated database for p10.

* Fri Nov 04 2022 Andrey Cherepanov <cas@altlinux.org> 20221104-alt0.p10.1
- Updated database.
- Appended applications from desktop files.

* Sun Oct 02 2022 Andrey Cherepanov <cas@altlinux.org> 20221002-alt0.p10.1
- Update database.
- Used additionalpackages for icons in another packages.

* Wed Aug 31 2022 Andrey Cherepanov <cas@altlinux.org> 20220831-alt0.p10.1
- Updated database for p10.

* Wed Jul 27 2022 Andrey Cherepanov <cas@altlinux.org> 20220727-alt0.p10.1
- Updated database for p10.

* Sun May 15 2022 Andrey Cherepanov <cas@altlinux.org> 20220515-alt0.p10.1
- Update database for p10.

* Mon Mar 28 2022 Andrey Cherepanov <cas@altlinux.org> 20220328-alt0.p10.1
- Update database for p10.

* Sat Mar 05 2022 Andrey Cherepanov <cas@altlinux.org> 20220305-alt0.p10.1
- Update database for p10.

* Sun Feb 20 2022 Andrey Cherepanov <cas@altlinux.org> 20220220-alt0.p10.1
- Update database for p10.

* Fri Feb 04 2022 Andrey Cherepanov <cas@altlinux.org> 20220204-alt0.p10.1
- Update database for p10.

* Wed Jan 19 2022 Andrey Cherepanov <cas@altlinux.org> 20220119-alt0.p10.1
- Update appstream database for p10 without refactoring (ALT #41738).

* Thu Sep 19 2019 Andrey Cherepanov <cas@altlinux.org> 20190919-alt1
- Append package with Russian localization for LibreOffice and Firefox.

* Sun Sep 01 2019 Andrey Cherepanov <cas@altlinux.org> 20190901-alt1
- Fix for manual id of conflicted packages (firefox/firefox-esr, LibreOffice/LibreOffice-still) by <launchable> tag
- Add missing project_license tags
- Add apply plugin for screenshot fix
- Move screenshot text to <image> subtag (ALT #37143)
- Fix project license information (ALT #37038)

* Thu Jul 18 2019 Andrey Cherepanov <cas@altlinux.org> 20190718-alt2
- Remove MIME type desktop files.
- appstream-db: add -i parameter for use id instead of pkgname to search.

* Thu Jul 18 2019 Andrey Cherepanov <cas@altlinux.org> 20190718-alt1
- Add LibreOffice and LibreOffice-still.
- Fix gnome-games-aisleriot item.

* Mon Jul 15 2019 Andrey Cherepanov <cas@altlinux.org> 20190715-alt1
- Add applications and popular fonts.

* Sun Jul 14 2019 Andrey Cherepanov <cas@altlinux.org> 20190714-alt1
- Add missing project_license to packages.
- appstream-db: add apply command for mass modification.

* Fri Jul 12 2019 Andrey Cherepanov <cas@altlinux.org> 20190712-alt1
- Mass add applications from its desktop files.
- Fix update-list script.
- Remove old statistic files.

* Wed Jul 03 2019 Aleksei Nikiforov <darktemplar@altlinux.org> 20190702-alt1
- Updated appstream-data for Sisyphus.

* Wed Dec 12 2018 Aleksei Nikiforov <darktemplar@altlinux.org> 20181212-alt1
- Generated appstream-data for Sisyphus.

* Sun Mar 08 2015 Andrey Cherepanov <cas@altlinux.org> 20150308-alt1
- Initial build in Sisyphus
